Package com.ocient.jdbc.proto

# Class ClientWireProtocol.SysQueriesRow.Builder

java.lang.Object
com.google.protobuf.AbstractMessageLite.Builder
com.google.protobuf.AbstractMessage.Builder<BuilderT>
com.google.protobuf.GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>
com.ocient.jdbc.proto.ClientWireProtocol.SysQueriesRow.Builder

All Implemented Interfaces:
  `Message.Builder`, `MessageLite.Builder`, `MessageLiteOrBuilder`, `MessageOrBuilder`, `ClientWireProtocol.SysQueriesRowOrBuilder`, `Cloneable`

Enclosing class:
  ClientWireProtocol.SysQueriesRow

public static final class ClientWireProtocol.SysQueriesRow.Builder extends GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder> implements ClientWireProtocol.SysQueriesRowOrBuilder
Protobuf type `xg.cmdcomp.SysQueriesRow`

## Method Summary

Modifier and Type
Method
Description
`ClientWireProtocol.SysQueriesRow`
`build()`
Constructs the message based on the state of the Builder.
`ClientWireProtocol.SysQueriesRow`
`buildPartial()`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields.
`ClientWireProtocol.SysQueriesRow.Builder`
`clear()`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.
`ClientWireProtocol.SysQueriesRow.Builder`
`clearDatabase()`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEffectivePriority()`
`float effective_priority = 2;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearInitialPriority()`
`float initial_priority = 16;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearQueryId()`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearQueryServer()`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearRemoteIP()`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSentBytes()`
`int64 sent_bytes = 15;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSentRows()`
`int64 sent_rows = 14;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearServiceClass()`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearSqlText()`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearStatus()`
`string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder`
`clearUserid()`
`string userid = 4;`
`String`
`getDatabase()`
`string database = 9;`
`ByteString`
`getDatabaseBytes()`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow`
`getDefaultInstanceForType()`
Get an instance of the type with no fields set.
`static final Descriptors.Descriptor`
`getDescriptor()`
`Descriptors.Descriptor`
`getDescriptorForType()`
Get the message's type's descriptor.
`float`
`getEffectivePriority()`
`float effective_priority = 2;`
`int`
`getElapsedTimeSec()`
`int32 elapsed_time_sec = 6;`
`long`
`getEstimatedResultRows()`
`int64 estimated_result_rows = 12;`
`long`
`getEstimatedResultSize()`
`int64 estimated_result_size = 13;`
`int`
`getEstimatedTimeSec()`
`int32 estimated_time_sec = 3;`
`float`
`getInitialEffectivePriority()`
`float initial_effective_priority = 17;`
`float`
`getInitialPriority()`
`float initial_priority = 16;`
`float`
`getPriorityAdjustFactor()`
`float priority_adjust_factor = 18;`
`int`
`getPriorityAdjustTime()`
`uint32 priority_adjust_time = 19;`
`String`
`getQueryId()`
`string query_id = 1;`
`ByteString`
`getQueryIdBytes()`
`string query_id = 1;`
`String`
`getQueryServer()`
`string query_server = 8;`
`ByteString`
`getQueryServerBytes()`
`string query_server = 8;`
`String`
`getRemoteIP()`
`string remoteIP = 10;`
`ByteString`
`getRemoteIPBytes()`
`string remoteIP = 10;`
`long`
`getSentBytes()`
`int64 sent_bytes = 15;`
`long`
`getSentRows()`
`int64 sent_rows = 14;`
`String`
`getServiceClass()`
`string service_class = 11;`
`ByteString`
`getServiceClassBytes()`
`string service_class = 11;`
`String`
`getSqlText()`
`string sql_text = 5;`
`ByteString`
`getSqlTextBytes()`
`string sql_text = 5;`
`String`
`getStatus()`
`string status = 7;`
`ByteString`
`getStatusBytes()`
`string status = 7;`
`String`
`getUserid()`
`string userid = 4;`
`ByteString`
`getUseridBytes()`
`string userid = 4;`
`protected GeneratedMessageV3.FieldAccessorTable`
`internalGetFieldAccessorTable()`
Get the FieldAccessorTable for this type.
`final boolean`
`isInitialized()`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions.
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(Message other)`
Merge `other` into the message being built.
`ClientWireProtocol.SysQueriesRow.Builder`
`mergeFrom(ClientWireProtocol.SysQueriesRow other)`
`final ClientWireProtocol.SysQueriesRow.Builder`
`mergeUnknownFields(UnknownFieldSet unknownFields)`
Merge some unknown fields into the `UnknownFieldSet` for this message.
`ClientWireProtocol.SysQueriesRow.Builder`
`setDatabase(String value)`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setDatabaseBytes(ByteString value)`
`string database = 9;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEffectivePriority(float value)`
`float effective_priority = 2;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setElapsedTimeSec(int value)`
`int32 elapsed_time_sec = 6;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedResultRows(long value)`
`int64 estimated_result_rows = 12;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedResultSize(long value)`
`int64 estimated_result_size = 13;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setEstimatedTimeSec(int value)`
`int32 estimated_time_sec = 3;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setInitialEffectivePriority(float value)`
`float initial_effective_priority = 17;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setInitialPriority(float value)`
`float initial_priority = 16;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setPriorityAdjustFactor(float value)`
`float priority_adjust_factor = 18;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setPriorityAdjustTime(int value)`
`uint32 priority_adjust_time = 19;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryId(String value)`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryIdBytes(ByteString value)`
`string query_id = 1;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryServer(String value)`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setQueryServerBytes(ByteString value)`
`string query_server = 8;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setRemoteIP(String value)`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setRemoteIPBytes(ByteString value)`
`string remoteIP = 10;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSentBytes(long value)`
`int64 sent_bytes = 15;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSentRows(long value)`
`int64 sent_rows = 14;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setServiceClass(String value)`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setServiceClassBytes(ByteString value)`
`string service_class = 11;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSqlText(String value)`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setSqlTextBytes(ByteString value)`
`string sql_text = 5;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setStatus(String value)`
`string status = 7;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setStatusBytes(ByteString value)`
`string status = 7;`
`final ClientWireProtocol.SysQueriesRow.Builder`
`setUnknownFields(UnknownFieldSet unknownFields)`
Set the `UnknownFieldSet` for this message.
`ClientWireProtocol.SysQueriesRow.Builder`
`setUserid(String value)`
`string userid = 4;`
`ClientWireProtocol.SysQueriesRow.Builder`
`setUseridBytes(ByteString value)`
`string userid = 4;`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.Message.Builder

`mergeDelimitedFrom, mergeDelimitedFrom`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

## Method Details

### getDescriptor

public static final Descriptors.Descriptor getDescriptor()

### internalGetFieldAccessorTable

protected GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()
Description copied from class: `GeneratedMessageV3.Builder`
Get the FieldAccessorTable for this type. We can't have the message class pass this in to the constructor because of bootstrapping trouble with DescriptorProtos.

Specified by:
  `internalGetFieldAccessorTable` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### clear

public ClientWireProtocol.SysQueriesRow.Builder clear()
Description copied from class: `GeneratedMessageV3.Builder`
Called by the initialization and clear code paths to allow subclasses to reset any of their builtin fields back to the initial values.

Specified by:
  `clear` in interface `Message.Builder`
Specified by:
  `clear` in interface `MessageLite.Builder`
Overrides:
  `clear` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDescriptorForType

public Descriptors.Descriptor getDescriptorForType()
Description copied from interface: `Message.Builder`
Get the message's type's descriptor. See `MessageOrBuilder.getDescriptorForType()`.

Specified by:
  `getDescriptorForType` in interface `Message.Builder`
Specified by:
  `getDescriptorForType` in interface `MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### getDefaultInstanceForType

public ClientWireProtocol.SysQueriesRow getDefaultInstanceForType()
Description copied from interface: `MessageLiteOrBuilder`
Get an instance of the type with no fields set. Because no fields are set, all getters for singular fields will return default values and repeated fields will appear empty. This may or may not be a singleton. This differs from the `getDefaultInstance()` method of generated message classes in that this method is an abstract method of the `MessageLite` interface whereas `getDefaultInstance()` is a static method of a specific class. They return the same thing.

Specified by:
  `getDefaultInstanceForType` in interface `MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `MessageOrBuilder`

### build

public ClientWireProtocol.SysQueriesRow build()
Description copied from interface: `MessageLite.Builder`
Constructs the message based on the state of the Builder. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `build` in interface `Message.Builder`
Specified by:
  `build` in interface `MessageLite.Builder`

### buildPartial

public ClientWireProtocol.SysQueriesRow buildPartial()
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.build()`, but does not throw an exception if the message is missing required fields. Instead, a partial message is returned. Subsequent changes to the Builder will not affect the returned message.

Specified by:
  `buildPartial` in interface `Message.Builder`
Specified by:
  `buildPartial` in interface `MessageLite.Builder`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(Message other)
Description copied from interface: `Message.Builder`
Merge `other` into the message being built. `other` must have the exact same type as `this` (i.e. `getDescriptorForType() == other.getDescriptorForType()`).

Merging occurs as follows. For each field:
* For singular primitive fields, if the field is set in `other`, then `other`'s value overwrites the value in this message.
* For singular message fields, if the field is set in `other`, it is merged into the corresponding sub-message of this message using the same merging rules.
* For repeated fields, the elements in `other` are concatenated with the elements in this message.
* For oneof groups, if the other message has one of the fields set, the group of this message is cleared and replaced by the field of the other message, so that the oneof constraint is preserved.

This is equivalent to the `Message::MergeFrom` method in C++.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(ClientWireProtocol.SysQueriesRow other)

### isInitialized

public final boolean isInitialized()
Description copied from interface: `MessageLiteOrBuilder`
Returns true if all required fields in the message and all embedded messages are set, false otherwise.

See also: `MessageOrBuilder.getInitializationErrorString()`

Specified by:
  `isInitialized` in interface `MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeFrom

public ClientWireProtocol.SysQueriesRow.Builder mergeFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry) throws IOException
Description copied from interface: `MessageLite.Builder`
Like `MessageLite.Builder.mergeFrom(CodedInputStream)`, but also parses extensions. The extensions that you want to be able to parse must be registered in `extensionRegistry`. Extensions not in the registry will be treated as unknown fields.

Specified by:
  `mergeFrom` in interface `Message.Builder`
Specified by:
  `mergeFrom` in interface `MessageLite.Builder`
Overrides:
  `mergeFrom` in class `AbstractMessage.Builder<ClientWireProtocol.SysQueriesRow.Builder>`
Throws:
  `InvalidProtocolBufferException` - the bytes read are not syntactically correct according to the protobuf wire format specification. The data is corrupt, incomplete, or was never a protobuf in the first place.
  `IOException` - an I/O error reading from the stream

### getQueryId

public String getQueryId()
`string query_id = 1;`

Specified by:
  `getQueryId` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryId.

### getQueryIdBytes

public ByteString getQueryIdBytes()
`string query_id = 1;`

Specified by:
  `getQueryIdBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryId.

### setQueryId

public ClientWireProtocol.SysQueriesRow.Builder setQueryId(String value)
`string query_id = 1;`

Parameters:
  `value` - The queryId to set.
Returns:
  This builder for chaining.

### clearQueryId

public ClientWireProtocol.SysQueriesRow.Builder clearQueryId()
`string query_id = 1;`

Returns:
  This builder for chaining.

### setQueryIdBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryIdBytes(ByteString value)
`string query_id = 1;`

Parameters:
  `value` - The bytes for queryId to set.
Returns:
  This builder for chaining.

### getEffectivePriority

public float getEffectivePriority()
`float effective_priority = 2;`

Specified by:
  `getEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The effectivePriority.

### setEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder setEffectivePriority(float value)
`float effective_priority = 2;`

Parameters:
  `value` - The effectivePriority to set.
Returns:
  This builder for chaining.

### clearEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder clearEffectivePriority()
`float effective_priority = 2;`

Returns:
  This builder for chaining.

### getEstimatedTimeSec

public int getEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Specified by:
  `getEstimatedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedTimeSec.

### setEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedTimeSec(int value)
`int32 estimated_time_sec = 3;`

Parameters:
  `value` - The estimatedTimeSec to set.
Returns:
  This builder for chaining.

### clearEstimatedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedTimeSec()
`int32 estimated_time_sec = 3;`

Returns:
  This builder for chaining.

### getUserid

public String getUserid()
`string userid = 4;`

Specified by:
  `getUserid` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The userid.

### getUseridBytes

public ByteString getUseridBytes()
`string userid = 4;`

Specified by:
  `getUseridBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for userid.

### setUserid

public ClientWireProtocol.SysQueriesRow.Builder setUserid(String value)
`string userid = 4;`

Parameters:
  `value` - The userid to set.
Returns:
  This builder for chaining.

### clearUserid

public ClientWireProtocol.SysQueriesRow.Builder clearUserid()
`string userid = 4;`

Returns:
  This builder for chaining.

### setUseridBytes

public ClientWireProtocol.SysQueriesRow.Builder setUseridBytes(ByteString value)
`string userid = 4;`

Parameters:
  `value` - The bytes for userid to set.
Returns:
  This builder for chaining.

### getSqlText

public String getSqlText()
`string sql_text = 5;`

Specified by:
  `getSqlText` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sqlText.

### getSqlTextBytes

public ByteString getSqlTextBytes()
`string sql_text = 5;`

Specified by:
  `getSqlTextBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for sqlText.

### setSqlText

public ClientWireProtocol.SysQueriesRow.Builder setSqlText(String value)
`string sql_text = 5;`

Parameters:
  `value` - The sqlText to set.
Returns:
  This builder for chaining.

### clearSqlText

public ClientWireProtocol.SysQueriesRow.Builder clearSqlText()
`string sql_text = 5;`

Returns:
  This builder for chaining.

### setSqlTextBytes

public ClientWireProtocol.SysQueriesRow.Builder setSqlTextBytes(ByteString value)
`string sql_text = 5;`

Parameters:
  `value` - The bytes for sqlText to set.
Returns:
  This builder for chaining.

### getElapsedTimeSec

public int getElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Specified by:
  `getElapsedTimeSec` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The elapsedTimeSec.

### setElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder setElapsedTimeSec(int value)
`int32 elapsed_time_sec = 6;`

Parameters:
  `value` - The elapsedTimeSec to set.
Returns:
  This builder for chaining.

### clearElapsedTimeSec

public ClientWireProtocol.SysQueriesRow.Builder clearElapsedTimeSec()
`int32 elapsed_time_sec = 6;`

Returns:
  This builder for chaining.

### getStatus

public String getStatus()
`string status = 7;`

Specified by:
  `getStatus` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The status.

### getStatusBytes

public ByteString getStatusBytes()
`string status = 7;`

Specified by:
  `getStatusBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for status.

### setStatus

public ClientWireProtocol.SysQueriesRow.Builder setStatus(String value)
`string status = 7;`

Parameters:
  `value` - The status to set.
Returns:
  This builder for chaining.

### clearStatus

public ClientWireProtocol.SysQueriesRow.Builder clearStatus()
`string status = 7;`

Returns:
  This builder for chaining.

### setStatusBytes

public ClientWireProtocol.SysQueriesRow.Builder setStatusBytes(ByteString value)
`string status = 7;`

Parameters:
  `value` - The bytes for status to set.
Returns:
  This builder for chaining.

### getQueryServer

public String getQueryServer()
`string query_server = 8;`

Specified by:
  `getQueryServer` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The queryServer.

### getQueryServerBytes

public ByteString getQueryServerBytes()
`string query_server = 8;`

Specified by:
  `getQueryServerBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for queryServer.

### setQueryServer

public ClientWireProtocol.SysQueriesRow.Builder setQueryServer(String value)
`string query_server = 8;`

Parameters:
  `value` - The queryServer to set.
Returns:
  This builder for chaining.

### clearQueryServer

public ClientWireProtocol.SysQueriesRow.Builder clearQueryServer()
`string query_server = 8;`

Returns:
  This builder for chaining.

### setQueryServerBytes

public ClientWireProtocol.SysQueriesRow.Builder setQueryServerBytes(ByteString value)
`string query_server = 8;`

Parameters:
  `value` - The bytes for queryServer to set.
Returns:
  This builder for chaining.

### getDatabase

public String getDatabase()
`string database = 9;`

Specified by:
  `getDatabase` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The database.

### getDatabaseBytes

public ByteString getDatabaseBytes()
`string database = 9;`

Specified by:
  `getDatabaseBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for database.

### setDatabase

public ClientWireProtocol.SysQueriesRow.Builder setDatabase(String value)
`string database = 9;`

Parameters:
  `value` - The database to set.
Returns:
  This builder for chaining.

### clearDatabase

public ClientWireProtocol.SysQueriesRow.Builder clearDatabase()
`string database = 9;`

Returns:
  This builder for chaining.

### setDatabaseBytes

public ClientWireProtocol.SysQueriesRow.Builder setDatabaseBytes(ByteString value)
`string database = 9;`

Parameters:
  `value` - The bytes for database to set.
Returns:
  This builder for chaining.

### getRemoteIP

public String getRemoteIP()
`string remoteIP = 10;`

Specified by:
  `getRemoteIP` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The remoteIP.

### getRemoteIPBytes

public ByteString getRemoteIPBytes()
`string remoteIP = 10;`

Specified by:
  `getRemoteIPBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for remoteIP.

### setRemoteIP

public ClientWireProtocol.SysQueriesRow.Builder setRemoteIP(String value)
`string remoteIP = 10;`

Parameters:
  `value` - The remoteIP to set.
Returns:
  This builder for chaining.

### clearRemoteIP

public ClientWireProtocol.SysQueriesRow.Builder clearRemoteIP()
`string remoteIP = 10;`

Returns:
  This builder for chaining.

### setRemoteIPBytes

public ClientWireProtocol.SysQueriesRow.Builder setRemoteIPBytes(ByteString value)
`string remoteIP = 10;`

Parameters:
  `value` - The bytes for remoteIP to set.
Returns:
  This builder for chaining.

### getServiceClass

public String getServiceClass()
`string service_class = 11;`

Specified by:
  `getServiceClass` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The serviceClass.

### getServiceClassBytes

public ByteString getServiceClassBytes()
`string service_class = 11;`

Specified by:
  `getServiceClassBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The bytes for serviceClass.

### setServiceClass

public ClientWireProtocol.SysQueriesRow.Builder setServiceClass(String value)
`string service_class = 11;`

Parameters:
  `value` - The serviceClass to set.
Returns:
  This builder for chaining.

### clearServiceClass

public ClientWireProtocol.SysQueriesRow.Builder clearServiceClass()
`string service_class = 11;`

Returns:
  This builder for chaining.

### setServiceClassBytes

public ClientWireProtocol.SysQueriesRow.Builder setServiceClassBytes(ByteString value)
`string service_class = 11;`

Parameters:
  `value` - The bytes for serviceClass to set.
Returns:
  This builder for chaining.

### getEstimatedResultRows

public long getEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Specified by:
  `getEstimatedResultRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultRows.

### setEstimatedResultRows

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedResultRows(long value)
`int64 estimated_result_rows = 12;`

Parameters:
  `value` - The estimatedResultRows to set.
Returns:
  This builder for chaining.

### clearEstimatedResultRows

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedResultRows()
`int64 estimated_result_rows = 12;`

Returns:
  This builder for chaining.

### getEstimatedResultSize

public long getEstimatedResultSize()
`int64 estimated_result_size = 13;`

Specified by:
  `getEstimatedResultSize` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The estimatedResultSize.

### setEstimatedResultSize

public ClientWireProtocol.SysQueriesRow.Builder setEstimatedResultSize(long value)
`int64 estimated_result_size = 13;`

Parameters:
  `value` - The estimatedResultSize to set.
Returns:
  This builder for chaining.

### clearEstimatedResultSize

public ClientWireProtocol.SysQueriesRow.Builder clearEstimatedResultSize()
`int64 estimated_result_size = 13;`

Returns:
  This builder for chaining.

### getSentRows

public long getSentRows()
`int64 sent_rows = 14;`

Specified by:
  `getSentRows` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentRows.

### setSentRows

public ClientWireProtocol.SysQueriesRow.Builder setSentRows(long value)
`int64 sent_rows = 14;`

Parameters:
  `value` - The sentRows to set.
Returns:
  This builder for chaining.

### clearSentRows

public ClientWireProtocol.SysQueriesRow.Builder clearSentRows()
`int64 sent_rows = 14;`

Returns:
  This builder for chaining.

### getSentBytes

public long getSentBytes()
`int64 sent_bytes = 15;`

Specified by:
  `getSentBytes` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The sentBytes.

### setSentBytes

public ClientWireProtocol.SysQueriesRow.Builder setSentBytes(long value)
`int64 sent_bytes = 15;`

Parameters:
  `value` - The sentBytes to set.
Returns:
  This builder for chaining.

### clearSentBytes

public ClientWireProtocol.SysQueriesRow.Builder clearSentBytes()
`int64 sent_bytes = 15;`

Returns:
  This builder for chaining.

### getInitialPriority

public float getInitialPriority()
`float initial_priority = 16;`

Specified by:
  `getInitialPriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialPriority.

### setInitialPriority

public ClientWireProtocol.SysQueriesRow.Builder setInitialPriority(float value)
`float initial_priority = 16;`

Parameters:
  `value` - The initialPriority to set.
Returns:
  This builder for chaining.

### clearInitialPriority

public ClientWireProtocol.SysQueriesRow.Builder clearInitialPriority()
`float initial_priority = 16;`

Returns:
  This builder for chaining.

### getInitialEffectivePriority

public float getInitialEffectivePriority()
`float initial_effective_priority = 17;`

Specified by:
  `getInitialEffectivePriority` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The initialEffectivePriority.

### setInitialEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder setInitialEffectivePriority(float value)
`float initial_effective_priority = 17;`

Parameters:
  `value` - The initialEffectivePriority to set.
Returns:
  This builder for chaining.

### clearInitialEffectivePriority

public ClientWireProtocol.SysQueriesRow.Builder clearInitialEffectivePriority()
`float initial_effective_priority = 17;`

Returns:
  This builder for chaining.

### getPriorityAdjustFactor

public float getPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Specified by:
  `getPriorityAdjustFactor` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustFactor.

### setPriorityAdjustFactor

public ClientWireProtocol.SysQueriesRow.Builder setPriorityAdjustFactor(float value)
`float priority_adjust_factor = 18;`

Parameters:
  `value` - The priorityAdjustFactor to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustFactor

public ClientWireProtocol.SysQueriesRow.Builder clearPriorityAdjustFactor()
`float priority_adjust_factor = 18;`

Returns:
  This builder for chaining.

### getPriorityAdjustTime

public int getPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Specified by:
  `getPriorityAdjustTime` in interface `ClientWireProtocol.SysQueriesRowOrBuilder`
Returns:
  The priorityAdjustTime.

### setPriorityAdjustTime

public ClientWireProtocol.SysQueriesRow.Builder setPriorityAdjustTime(int value)
`uint32 priority_adjust_time = 19;`

Parameters:
  `value` - The priorityAdjustTime to set.
Returns:
  This builder for chaining.

### clearPriorityAdjustTime

public ClientWireProtocol.SysQueriesRow.Builder clearPriorityAdjustTime()
`uint32 priority_adjust_time = 19;`

Returns:
  This builder for chaining.

### setUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder setUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Set the `UnknownFieldSet` for this message.

Specified by:
  `setUnknownFields` in interface `Message.Builder`
Overrides:
  `setUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`

### mergeUnknownFields

public final ClientWireProtocol.SysQueriesRow.Builder mergeUnknownFields(UnknownFieldSet unknownFields)
Description copied from interface: `Message.Builder`
Merge some unknown fields into the `UnknownFieldSet` for this message.

Specified by:
  `mergeUnknownFields` in interface `Message.Builder`
Overrides:
  `mergeUnknownFields` in class `GeneratedMessageV3.Builder<ClientWireProtocol.SysQueriesRow.Builder>`